package com.xy.feign;

import com.xy.service.DeviceFaultMonitorConfigService;
import com.xy.FeignInterceptor;
import com.xy.consts.ServiceConsts;
import org.springframework.cloud.openfeign.FeignClient;

/**
 * <p>
 * 设备故障监控配置 feign
 * </p>
 *
 * @author 谭斌
 * @since 2024-01-08
 */
@FeignClient(value = ServiceConsts.SERVICE_NAME, configuration = FeignInterceptor.class)
public interface DeviceFaultMonitorConfigFeign extends DeviceFaultMonitorConfigService {

}
