package com.xy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xy.dto.DeviceNetRecordDto;
import com.xy.entity.DeviceNetRecord;

import java.util.List;

/**
 * <p>
 * 机器-联网记录 Mapper 接口
 * </p>
 *
 * @author lijin
 * @since 2023-01-09
 */
public interface DeviceNetRecordMapper extends BaseMapper<DeviceNetRecord> {

    /**
     * 离线设备列表
     *
     * @param offLineDevice
     * @return
     */
    List<DeviceNetRecordDto.OffLineDeviceVo> offLineDevice(DeviceNetRecordDto.OffLineDevice offLineDevice);

}
