package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.DeviceConfigDto;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 设备配置表 服务类
 * </p>
 *
 * @author lijin
 * @since 2023-06-16
 */
@RestMappingController("/device-config")
public interface DeviceConfigService {
    @PostMapping("obj")
    R<DeviceConfigDto.Vo> obj(@RequestBody @Validated DeviceConfigDto.Obj obj);
}
