package com.xy.feign;

import com.xy.service.DeviceAdminActivateService;
import com.xy.FeignInterceptor;
import com.xy.consts.ServiceConsts;
import org.springframework.cloud.openfeign.FeignClient;

/**
 * <p>
 * 管理员设备激活记录表 feign
 * </p>
 *
 * @author lijin
 * @since 2023-11-17
 */
@FeignClient(value = ServiceConsts.SERVICE_NAME, configuration = FeignInterceptor.class)
public interface DeviceAdminActivateFeign extends DeviceAdminActivateService {

}
