package com.xy.feign;

import com.xy.service.DeviceFaultInfoFlowService;
import com.xy.FeignInterceptor;
import com.xy.consts.ServiceConsts;
import org.springframework.cloud.openfeign.FeignClient;

/**
 * <p>
 * 设备故障处理流程 feign
 * </p>
 *
 * @author 谭斌
 * @since 2024-01-16
 */
@FeignClient(value = ServiceConsts.SERVICE_NAME, configuration = FeignInterceptor.class)
public interface DeviceFaultInfoFlowFeign extends DeviceFaultInfoFlowService {

}
