package com.xy.feign;

import com.xy.FeignInterceptor;
import com.xy.consts.ServiceConsts;
import com.xy.service.DeviceSimChargeService;
import org.springframework.cloud.openfeign.FeignClient;

/**
 * <p>
 * 设备流量卡充值表 feign
 * </p>
 *
 * @author lijin
 * @since 2023-10-16
 */
@FeignClient(value = ServiceConsts.SERVICE_NAME, configuration = FeignInterceptor.class)
public interface DeviceSimChargeFeign extends DeviceSimChargeService {

}
